> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List bins

> List bins

### Query parameters

<ParamField query="warehouse_id" type="integer (int32)" />

<ParamField query="bin_type" type="string" />

<ParamField query="zone" type="string" />

<ParamField query="is_active" type="boolean" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Response

`BinListResponse`

<ResponseField name="bins" type="BinResponse[]" required>
  <Expandable title="BinResponse">
    <ResponseField name="aisle" type="string,null" />

    <ResponseField name="bin_type" type="string" required />

    <ResponseField name="capacity" type="string,null" />

    <ResponseField name="code" type="string" required />

    <ResponseField name="created_at" type="string" required />

    <ResponseField name="id" type="integer (int32)" required />

    <ResponseField name="is_active" type="boolean" required />

    <ResponseField name="position" type="string,null" />

    <ResponseField name="rack" type="string,null" />

    <ResponseField name="shelf" type="string,null" />

    <ResponseField name="updated_at" type="string" required />

    <ResponseField name="warehouse_id" type="integer (int32)" required />

    <ResponseField name="zone" type="string,null" />
  </Expandable>
</ResponseField>

<ResponseField name="total" type="integer (int64)" required />

### Status codes

| Code  | Meaning |
| ----- | ------- |
| `200` | —       |
| `400` | —       |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/warehouse-bins' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "bins": [
      {
        "aisle": null,
        "bin_type": "string",
        "capacity": null,
        "code": "string",
        "created_at": "string",
        "id": 1,
        "is_active": true,
        "position": null,
        "rack": null,
        "shelf": null,
        "updated_at": "string",
        "warehouse_id": 1,
        "zone": null
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
